#include <iostream>
#include <iomanip>
using std::cout;
using std::endl;
using std::setw;
#include "hero.h"
  //   
  Hero::Hero (char* N, int LVL, int L):Name(N),Level(LVL),Life(L)  {}
  //
  Hero::~Hero() { cout <<"Destruction of: "<<getName()<<endl; };
  // GET.   const        
  char* Hero::getName() const     { return Name; }
  int   Hero::getLevel() const      { return Level; }
  int   Hero::getLife() const      { return Life; }
  // SET
  void  Hero::setName(  char* N)    { Name=N; }
  void  Hero::setLevel( int LVL)  { Level=LVL;}
  void  Hero::setLife(  int L)      { Life=L; }
  //  PRINT
  void  Hero::print() const {  cout <<setw(10)<<Name<<setw(5)<<Level<<setw(5)<<Life<<endl; }


  void  Hero::operator++ (int){
        Level++;
        cout<<Name<< " has gained a level!"<<endl;
        Life+=100;
  }
  void Hero::operator-  (int Damage){
        cout<<Name<< " is dealt "<<Damage<<" damage"<<endl;
        Life-=Damage;
  }
  bool  Hero::operator>  (Hero X){
        if( Level > X.getLevel() )
           return true;
        else
           return false;

  }
